searchData={"items":[{"type":"module","title":"NestedLines","doc":"Documentation for `NestedLines`.","ref":"NestedLines.html"},{"type":"function","title":"NestedLines.can_indent?/2","doc":"Returns true if the line can be indented, false otherwise. Lines are 1-indexed.","ref":"NestedLines.html#can_indent?/2"},{"type":"function","title":"Examples - NestedLines.can_indent?/2","doc":"iex> %NestedLines{lines: [[1], [0, 1], [0, 1]]} |> NestedLines.can_indent?(1)\n    false\n\n    iex> %NestedLines{lines: [[1], [0, 1], [0, 1]]} |> NestedLines.can_indent?(3)\n    true","ref":"NestedLines.html#can_indent?/2-examples"},{"type":"function","title":"NestedLines.can_outdent?/2","doc":"Returns true if the line can be outdented, false otherwise. Lines are 1-indexed.","ref":"NestedLines.html#can_outdent?/2"},{"type":"function","title":"Examples - NestedLines.can_outdent?/2","doc":"iex> %NestedLines{lines: [[1], [0, 1], [0, 0, 1]]} |> NestedLines.can_outdent?(2)\n    true\n\n    iex> %NestedLines{lines: [[1], [0, 1], [1]]} |> NestedLines.can_outdent?(3)\n    false\n\n    iex> %NestedLines{lines: [[1], [1], [0, 1], [1]]} |> NestedLines.can_outdent?(3)\n    true","ref":"NestedLines.html#can_outdent?/2-examples"},{"type":"function","title":"NestedLines.indent!/2","doc":"Indents a line based on its index, raises if the line cannot be indented.\nChild lines are also indented by one position. Lines are 1-indexed.","ref":"NestedLines.html#indent!/2"},{"type":"function","title":"Examples - NestedLines.indent!/2","doc":"iex> %NestedLines{lines: [[1], [1], [0, 1], [1]]} |> NestedLines.indent!(4)\n    %NestedLines{lines: [[1], [1], [0, 1], [0, 1]]}","ref":"NestedLines.html#indent!/2-examples"},{"type":"function","title":"NestedLines.line_numbers/2","doc":"Output a string representation of the line numbers.","ref":"NestedLines.html#line_numbers/2"},{"type":"function","title":"Examples - NestedLines.line_numbers/2","doc":"iex> %NestedLines{lines: [[1], [0, 1], [0, 1], [1], [0, 1], [0, 0, 1]]} |> NestedLines.line_numbers()\n    [\"1\", \"1.1\", \"1.2\", \"2\", \"2.1\", \"2.1.1\"]","ref":"NestedLines.html#line_numbers/2-examples"},{"type":"function","title":"NestedLines.new!/1","doc":"Construct a nested line representation from a list of string values.","ref":"NestedLines.html#new!/1"},{"type":"function","title":"Examples - NestedLines.new!/1","doc":"iex> NestedLines.new!([\"1\", \"1.1\", \"1.2\", \"2\", \"2.1\"])\n    %NestedLines{lines: [[1], [0, 1], [0, 1], [1], [0, 1]]}","ref":"NestedLines.html#new!/1-examples"},{"type":"function","title":"NestedLines.outdent!/2","doc":"Outdents a line based on its index, raises if the line cannot be outdented.\nChild lines are also outdented by one position. Lines are 1-indexed.","ref":"NestedLines.html#outdent!/2"},{"type":"function","title":"Examples - NestedLines.outdent!/2","doc":"iex> %NestedLines{lines: [[1], [1], [0, 1], [0, 0, 1]]} |> NestedLines.outdent!(3)\n    %NestedLines{lines: [[1], [1], [1], [0, 1]]}","ref":"NestedLines.html#outdent!/2-examples"},{"type":"type","title":"NestedLines.line/0","doc":"","ref":"NestedLines.html#t:line/0"},{"type":"type","title":"NestedLines.line_number/0","doc":"","ref":"NestedLines.html#t:line_number/0"},{"type":"type","title":"NestedLines.t/0","doc":"","ref":"NestedLines.html#t:t/0"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,49,46,50]}}